Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager
Class CGroupsManagerSessionData

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.CGroupsManagerUnrestrictedSessionData
          org.jasig.portal.channels.groupsmanager.CGroupsManagerSessionData

All Implemented Interfaces:
  GroupsManagerConstants

    public class CGroupsManagerSessionData

extends CGroupsManagerUnrestrictedSessionData
implements GroupsManagerConstants

Session data for a cached thread stored in a Map in CGroupsManager

Version:
  $Revision: 1.13 $
Author:
  Don Fracapane

Field Summary
`boolean` | `allowFinish`
`int` | `currentPage`
`java.lang.String` | `customMessage`
`java.lang.String` | `defaultRootViewGroupID`
`java.lang.String` | `feedback`
`java.lang.String` | `highlightedGroupID`
`ILockableEntityGroup` | `lockedGroup`
`java.lang.String` | `mode`
`IPermissible` | `permissible`
`java.lang.String` | `returnToMode`
`java.lang.String` | `rootViewGroupID`
`ChannelRuntimeData` | `runtimeData`
`IServant` | `servantChannel`
`boolean` | `servantMode`
`long` | `startRD`
`ChannelStaticData` | `staticData`
`java.lang.String` | `uid`

Fields inherited from class org.jasig.portal.channels.groupsmanager.CGroupsManagerUnrestrictedSessionData
`authPrincipal, gmPermissions, isAdminUser, model, user`

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`CGroupsManagerSessionData()`

Method Summary
`CGroupsManagerUnrestrictedSessionData` | `getUnrestrictedData()` Returns a subset of unrestricted variables to be used for Document manipulation.

Methods inherited from class org.jasig.portal.channels.groupsmanager.CGroupsManagerUnrestrictedSessionData
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### runtimeData

    public ChannelRuntimeData runtimeData

### staticData

    public ChannelStaticData staticData

### servantChannel

    public IServant servantChannel

### servantMode

    public boolean servantMode

### allowFinish

    public boolean allowFinish

### uid

    public java.lang.String uid

### startRD

    public long startRD

### lockedGroup

    public ILockableEntityGroup lockedGroup

### highlightedGroupID

    public java.lang.String highlightedGroupID

### currentPage

    public int currentPage

### rootViewGroupID

    public java.lang.String rootViewGroupID

### defaultRootViewGroupID

    public java.lang.String defaultRootViewGroupID

### mode

    public java.lang.String mode

### returnToMode

    public java.lang.String returnToMode

### feedback

    public java.lang.String feedback

### customMessage

    public java.lang.String customMessage

### permissible

    public IPermissible permissible

Constructor Detail

### CGroupsManagerSessionData

    public CGroupsManagerSessionData()

Method Detail

### getUnrestrictedData

    public CGroupsManagerUnrestrictedSessionData getUnrestrictedData()

  Returns a subset of unrestricted variables to be used for Document manipulation. This is accomplished by casting this into the unrestricted partent class.

  Returns:
    CGroupsManagerUnrestrictedSessionData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD